GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::WriteOptions Class Reference

Per-message write options. More...

`#include <call.h>`

## Public Member Functions
| WriteOptions ()
| WriteOptions (const WriteOptions &other)
void | Clear ()
| Clear all flags. More...
gpr_uint32 | flags () const
| Returns raw flags bitset. More...
WriteOptions & | set_no_compression ()
| Sets flag for the disabling of compression for the next message write. More...
WriteOptions & | clear_no_compression ()
| Clears flag for the disabling of compression for the next message write. More...
bool | get_no_compression () const
| Get value for the flag indicating whether compression for the next message write is forcefully disabled. More...
WriteOptions & | set_buffer_hint ()
| Sets flag indicating that the write may be buffered and need not go out on the wire immediately. More...
WriteOptions & | clear_buffer_hint ()
| Clears flag indicating that the write may be buffered and need not go out on the wire immediately. More...
bool | get_buffer_hint () const
| Get value for the flag indicating that the write may be buffered and need not go out on the wire immediately. More...
WriteOptions & | operator= (const WriteOptions &rhs)

## Detailed Description

Per-message write options.

## Constructor & Destructor Documentation

grpc::WriteOptions::WriteOptions | ( |  | ) |
| inline

grpc::WriteOptions::WriteOptions | ( | const WriteOptions & | other | ) |
| inline

## Member Function Documentation

void grpc::WriteOptions::Clear | ( |  | ) |
| inline

Clear all flags.

WriteOptions& grpc::WriteOptions::clear_buffer_hint | ( |  | ) |
| inline

Clears flag indicating that the write may be buffered and need not go out on the wire immediately.

See Also
  GRPC_WRITE_BUFFER_HINT

WriteOptions& grpc::WriteOptions::clear_no_compression | ( |  | ) |
| inline

Clears flag for the disabling of compression for the next message write.

See Also
  GRPC_WRITE_NO_COMPRESS

gpr_uint32 grpc::WriteOptions::flags | ( |  | ) | const
| inline

Returns raw flags bitset.

bool grpc::WriteOptions::get_buffer_hint | ( |  | ) | const
| inline

Get value for the flag indicating that the write may be buffered and need not go out on the wire immediately.

See Also
  GRPC_WRITE_BUFFER_HINT

bool grpc::WriteOptions::get_no_compression | ( |  | ) | const
| inline

Get value for the flag indicating whether compression for the next message write is forcefully disabled.

See Also
  GRPC_WRITE_NO_COMPRESS

WriteOptions& grpc::WriteOptions::operator= | ( | const WriteOptions & | rhs | ) |
| inline

WriteOptions& grpc::WriteOptions::set_buffer_hint | ( |  | ) |
| inline

Sets flag indicating that the write may be buffered and need not go out on the wire immediately.

See Also
  GRPC_WRITE_BUFFER_HINT

WriteOptions& grpc::WriteOptions::set_no_compression | ( |  | ) |
| inline

Sets flag for the disabling of compression for the next message write.

See Also
  GRPC_WRITE_NO_COMPRESS

The documentation for this class was generated from the following file:

- include/grpc++/impl/call.h